diff options
author | Ernst de Haan <znerd@FreeBSD.org> | 2002-02-21 20:08:30 +0000 |
---|---|---|
committer | Ernst de Haan <znerd@FreeBSD.org> | 2002-02-21 20:08:30 +0000 |
commit | dfdf0d65e09dc81aee05003da0a8e37c2cd02928 (patch) | |
tree | 79cc0448d7a6c8c90a68de6eaa982ca1afcdba9a /www/jakarta-tomcat3 | |
parent | 229c3f67eb790778528dbaa47c2f22b4f7cb0585 (diff) | |
download | ports-dfdf0d65e09dc81aee05003da0a8e37c2cd02928.tar.gz ports-dfdf0d65e09dc81aee05003da0a8e37c2cd02928.zip |
Notes
Diffstat (limited to 'www/jakarta-tomcat3')
-rw-r--r-- | www/jakarta-tomcat3/pkg-install | 46 |
1 files changed, 46 insertions, 0 deletions
diff --git a/www/jakarta-tomcat3/pkg-install b/www/jakarta-tomcat3/pkg-install new file mode 100644 index 000000000000..687ec3fc1f9e --- /dev/null +++ b/www/jakarta-tomcat3/pkg-install @@ -0,0 +1,46 @@ +#!/bin/sh +# +# Checks if the 'www' user and group exist. If they don't, then +# an attempt is made to create both. +# +# $FreeBSD$ +# + +# Make sure we're called during the 'make install' process +if [ "$2" != "PRE-INSTALL" ]; then + exit 0 +fi + +# Set some constants +USER=www +GROUP=${USER} +UID=80 +GID=${UID} + +# See if the group already exists +if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then + + # If not, try to create it + if pw groupadd ${GROUP} -g ${GID}; then + echo "Added group \"${GROUP}\"." + else + echo "Adding group \"${GROUP}\" failed..." + exit 1 + fi +fi + +# See if the user already exists +if ! pw usershow "${USER}" 2>/dev/null 1>&2; then + + # If not, try to create it + if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ + -s "/sbin/nologin" -d "/nonexistent" \ + -c "World Wide Web Owner"; \ + then + echo "Added user \"${USER}\"." + else + echo "Adding user \"${USER}\" failed..." + exit 1 + fi +fi +exit 0 |